Error Message with applying coupon code after updating to Virtuemart 3


  • Default avatar
    wrmcfee    
     a year ago
    0

    Good afternoon!

    I've been using the AwoCoupon Virtuemart V 2.0.11 in Joomla 2.5x / Virtuemart 2.x for over two years without a single issue.
    Recently my client has opted to upgrade to a new dedicated server and we chose to upgrade to Virtuemart 3.0.

    Since our upgrade, we receive the following error every time we apply a coupon in the cart:

    Warning: Creating default object from empty value in /home/linweb05/m/oursite.com/user/htdocs/administrator/components/com_awocoupon/helpers/vm_coupon.php on line 98

    The odd thing is that the coupon is honored, and the amount of the sale is adjusted properly. We just get the error message visible to the client.

    Has anyone else experienced this issue and if so, are there any recommendations for repair?

    I eagerly look forward to your response as frankly, I'm baffled.

    Thanks


  • Your avatar
    seyi    
     a year ago
    0

    Hello,

    The reason it works is because it is not an error, it is just a warning. You are using an older version, 2.0.11. If you upgrade to the latest, 2.0.17, the warning will go away:
    http://awodev.com/products#com_awocoupon_free
  • Default avatar
    wrmcfee    
     a year ago
    0

    Seyi -

    Thanks!!!! You are a true life saver!!! That resolved the issue in less than a minute!
    Love the product and love the support! Thanks again.

    Wes